View Issue Details

IDProjectCategoryView StatusLast Update
0000202luatexluatex bugpublic2009-04-10 12:37
ReporterHans HagenAssigned ToTaco 
PrioritylowSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.38.0Fixed in Version0.38.0 
Summary0000202: a few issues with status
Description(1) in texlua the following crashes at best_page_break:

for k,v in pairs(status.list()) do print(k,v) end

so we need to catch this (no status needed)

(2) in sync with mplib we need a ini_version (true|false) flag

(3) and a convenient way to check the texlua version

i.e. we just need to check the lot in a spare moment
TagsNo tags attached.

Activities

Taco

2009-04-07 11:01

administrator   ~0000139

#2209 fixes the crash, and adds:

status.luatex_version (a number)
status.luatex_revision (a string)
status.ini_version (a boolean)

Issue History

Date Modified Username Field Change
2009-04-03 09:39 Hans Hagen New Issue
2009-04-03 09:39 Hans Hagen Status new => assigned
2009-04-03 09:39 Hans Hagen Assigned To => Taco
2009-04-07 11:01 Taco Status assigned => resolved
2009-04-07 11:01 Taco Resolution open => fixed
2009-04-07 11:01 Taco Note Added: 0000139
2009-04-10 12:36 Taco Fixed in Version => 0.38.0
2009-04-10 12:36 Taco Target Version 0.40.0 => 0.38.0
2009-04-10 12:37 Taco Status resolved => closed